Subject: Re: [PATCH] config.mak.dev: enable -Wunreachable-code

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Mar 2025 10:40:24 -0700

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> -- >8 --
>> Subject: [PATCH] run-command: use errno to check for sigfillset() error
>>
>> Since enabling -Wunreachable-code, builds with clang on macOS now fail,
>> complaining that the die_errno() call in:
>>
>>   if (sigfillset(&all))
>> 	die_errno("sigfillset");
>>
>> is unreachable. On that platform the manpage documents that sigfillset()
>> always returns success, and presumably the implementation is a macro or
>> inline function that does so in a way that is transparent to the
>> compiler.
>
> Would it work to instead do this here
> ...

I forgot to say a more important thing.  Between the "let's excempt
developers on macOS" and the "let's see how far we can go with the
warning turned on everywhere and wack-a-mole this particular one
with errno check" patches, I prefer the latter at least for a short
term.

Thanks.